## nodejs-mozilla 8.11.1~dfsg

=== debian/changelog ===
nodejs-mozilla (8.11.1~dfsg-2~deb9u1) stretch; urgency=medium

  * Non-maintainer upload.
  * Backport to stretch as nodejs-mozilla, to be used for Firefox ESR 68.
  * Use internal libuv, http-parser and c-ares as the ones in stretch are
    too old.
  * disable-expired-cert-test.patch: disable a test case that fails due to an
    expired test certificate.
  * fix-openssl-error-string.patch: update a test expected output for
    openssl 1.1.0j.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 02 Sep 2019 11:21:56 +0200

nodejs (8.11.1~dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Wed, 02 May 2018 11:39:28 +0530

nodejs (8.11.1~dfsg-2) unstable; urgency=medium

  * Upload to unstable 

 -- Jérémy Lal <kapouer@melix.org>  Fri, 13 Apr 2018 09:25:37 +0200

nodejs (8.11.1~dfsg-1) experimental; urgency=medium

  * New upstream version 8.11.1~dfsg
  * Revert 7e875d40, dependency on icu 60 is an upstream v8 bug
  * Upstream patch to avoid mandatory dependency on icu 60
  * Remove node-js-yaml from Build-Depends, already in Indep
  * Depends libhttp-parser >= 2.8

 -- Jérémy Lal <kapouer@melix.org>  Tue, 10 Apr 2018 21:43:32 +0200

nodejs (8.10.0~dfsg-2) experimental; urgency=medium

  * Drop binutils dependency (Closes: #893841)
  * Move repository to https://salsa.debian.org/js-team/nodejs.git

 -- Jérémy Lal <kapouer@melix.org>  Fri, 23 Mar 2018 09:30:55 +0100

nodejs (8.10.0~dfsg-1) experimental; urgency=medium

  * New upstream version 8.10.0~dfsg
  * Vcs-Git for that branch
  * Remove openssl patches and others, applied upstream
  * Depends icu 60.2
  * Patch: build doc using node-js-yaml
  * Build-Depends node-js-yaml

 -- Jérémy Lal <kapouer@melix.org>  Fri, 16 Mar 2018 10:25:24 +0100

nodejs (8.9.3~dfsg-12) unstable; urgency=medium

  * Do not Build-Depend on licensecheck, ever.
    It's not right to hog build servers.
  * Drop my backport of openssl 1.1.0 compatibility,
    in favor of upstream backport.
  * Remove patch that dropped -march=z196 for it is now the
    minimum requirement for s390x. See also #888876. 

 -- Jérémy Lal <kapouer@melix.org>  Sun, 18 Feb 2018 21:51:10 +0100

nodejs (8.9.3~dfsg-11) unstable; urgency=medium

  * Patch build files to remove -march=z196 out of s390x builds

 -- Jérémy Lal <kapouer@melix.org>  Tue, 23 Jan 2018 18:33:36 +0100

nodejs (8.9.3~dfsg-10) unstable; urgency=medium

  * should be compiled with FPXX ABI on 32-bit mips
    (Closes: #888021).

 -- Jérémy Lal <kapouer@melix.org>  Mon, 22 Jan 2018 19:26:19 +0100

nodejs (8.9.3~dfsg-9) unstable; urgency=medium

  * On buildd always set JOBS to one during tests

 -- Jérémy Lal <kapouer@melix.org>  Fri, 19 Jan 2018 08:58:43 +0100

nodejs (8.9.3~dfsg-8) unstable; urgency=medium

  * Upstream patch: allow running test.py without configuring

 -- Jérémy Lal <kapouer@melix.org>  Thu, 18 Jan 2018 15:39:52 +0100

nodejs (8.9.3~dfsg-7) unstable; urgency=medium

  * Ensure passing JOBS with a default value of 1.
    Test suite inherits that value and can crash with memory errors.
    This attempts to fix mipsel build on mipsel-aql-02.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 08 Jan 2018 16:12:18 +0100

nodejs (8.9.3~dfsg-6) unstable; urgency=medium

  * test-fs-utimes might fail on some platforms
  * Patch to use less memory in test-zlib

 -- Jérémy Lal <kapouer@melix.org>  Fri, 05 Jan 2018 00:57:13 +0100

nodejs (8.9.3~dfsg-5) unstable; urgency=medium

  * Upload to unstable 

 -- Jérémy Lal <kapouer@melix.org>  Thu, 04 Jan 2018 19:09:59 +0100

nodejs (8.9.3~dfsg-4) experimental; urgency=medium

  * Build using shared uv

 -- Jérémy Lal <kapouer@melix.org>  Wed, 27 Dec 2017 10:30:59 +0100

nodejs (8.9.3~dfsg-3) experimental; urgency=medium

  * Disable snapshot: runtime arch might be different than build
  * nodejs-dev is optional like source package
  * Fix a test result for openssl
  * Fix test that need alice.html
  * Skip test-dns-cancel-reverse-lookup, using network
  * Some copyright file paths updates
  * Standards-Version 4.1.2
  * Short license for zlib
  * Update overrides and comment
  * Patch test-http2-connect to not fail in some cases

 -- Jérémy Lal <kapouer@melix.org>  Mon, 25 Dec 2017 17:53:03 +0100

nodejs (8.9.3~dfsg-2) experimental; urgency=medium

  * Build with -fPIC
  * Build using bundled uv

 -- Jérémy Lal <kapouer@melix.org>  Sun, 24 Dec 2017 23:29:13 +0100

nodejs (8.9.3~dfsg-1) experimental; urgency=medium

  * New upstream version 8.9.3~dfsg
  * Stop removing zlib, uv deps
  * Update debian/copyright for deps/uv, deps/zlib
  * Copyright for embedded nghttp2
  * test/gc/node_modules no longer in upstream tarball
  * Backport #16130: support both openssl 1.0.1 and 1.1.0
    Add openssl/fixups.patch to take care of additional fixes.
  * Build against latest ssl-dev version
  * Use node-js-yaml instead of yamlish
  * Drop cctest as it does not compile on debian.
    Help is welcome to fix this in a smarter way.
    Meanwhile fix_disable_cctest.patch gets rid of it.
  * Pass parallel option to JOBS
  * Update watch to use https
  * Add override for false positive source-is-missing
  * (Re?)enable -g flags

 -- Jérémy Lal <kapouer@melix.org>  Mon, 18 Dec 2017 17:29:20 +0100

nodejs (6.12.0~dfsg-2) unstable; urgency=medium

  * Whitelist allowed architectures. Closes: #881735.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 14 Nov 2017 18:25:41 +0100

nodejs (6.12.0~dfsg-1) unstable; urgency=medium

  * New upstream version 6.12.0~dfsg

 -- Jérémy Lal <kapouer@melix.org>  Tue, 14 Nov 2017 00:42:34 +0100

nodejs (6.11.4~dfsg-1) unstable; urgency=medium

  * New upstream version 6.11.4~dfsg
  * Testsuite field is no longer needed
  * Standards-Version 4.1.1

 -- Jérémy Lal <kapouer@melix.org>  Wed, 04 Oct 2017 13:33:00 +0200

nodejs (6.11.3~dfsg-1) unstable; urgency=medium

  * New upstream version 6.11.3~dfsg

 -- Jérémy Lal <kapouer@melix.org>  Wed, 06 Sep 2017 02:21:08 +0200


